Invite codes
Release Invite Code
Releases an invite code that was previously assigned to a user, making it available for use again. The used_by parameter is optional and can be used to specify which user to release the code from.
DELETE
/
code
Release Invite Code
curl --request DELETE \
--url https://prod.claimr.io/api/v1/code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "ABC123",
"pid": "campaign_001",
"used_by": "0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://prod.claimr.io/api/v1/code"
payload = {
"code": "ABC123",
"pid": "campaign_001",
"used_by": "0x1234567890abcdef1234567890abcdef12345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'ABC123',
pid: 'campaign_001',
used_by: '0x1234567890abcdef1234567890abcdef12345678'
})
};
fetch('https://prod.claimr.io/api/v1/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"success": true,
"error": {
"code": 400,
"message": "bad request"
}
}{
"success": true,
"error": {
"code": 401,
"message": "unauthorized"
}
}{
"success": true,
"error": {
"code": 403,
"message": "access denied"
}
}{
"success": true,
"error": {
"code": 500,
"message": "internal error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Release Invite Code
